Public Member Functions | Public Attributes | List of all members
MacWrtParserInternal::State Struct Reference

Internal: the state of a MacWrtParser. More...

## Public Member Functions
| State ()
| constructor More...

## Public Attributes
std::string | m_compressCorr
| the correspondance between int compressed and char : must be 15 character More...
int | m_actPage
| the actual page More...
int | m_numPages
| the number of page of the final document More...
FileHeader | m_fileHeader
| the header More...
WindowsInfo | m_windows [3]
| the information of main document, header, footer More...
int | m_headerHeight
| the header height if known More...
int | m_footerHeight
| the footer height if known More...

## Detailed Description

Internal: the state of a MacWrtParser.

## Constructor & Destructor Documentation

## ◆ State()

MacWrtParserInternal::State::State | ( |  | ) |
| inline

constructor

## Member Data Documentation

## ◆ m_actPage

int MacWrtParserInternal::State::m_actPage

the actual page

## ◆ m_compressCorr

std::string MacWrtParserInternal::State::m_compressCorr

the correspondance between int compressed and char : must be 15 character

## ◆ m_fileHeader

FileHeader MacWrtParserInternal::State::m_fileHeader

the header

## ◆ m_footerHeight

int MacWrtParserInternal::State::m_footerHeight

the footer height if known

## ◆ m_headerHeight

int MacWrtParserInternal::State::m_headerHeight

the header height if known

## ◆ m_numPages

int MacWrtParserInternal::State::m_numPages

the number of page of the final document

## ◆ m_windows

WindowsInfo MacWrtParserInternal::State::m_windows[3]

the information of main document, header, footer

The documentation for this struct was generated from the following file:

- MacWrtParser.cxx